from typing import Optional

from pydantic import BaseModel

""" 提交任务响应结构 """


class AnalyzeData(BaseModel):
    taskId: Optional[str] = None
    status: str
    message: str
    estimatedTime: Optional[str] = None
    filesReceived: Optional[int] = None


class Analyze(BaseModel):
    success: bool
    data: AnalyzeData
